+nfs-utils (1:1.0.6-3.1) unstable; urgency=HIGH
+
+ * NMU
+ * Ignore SIGPIPE to avoid statd dying when peers close their
+ TCP connection while we're trying to reply to them.
+ (CAN-2004-1014) Closes: #284971
+
+ -- Joey Hess <joeyh@debian.org> Wed, 5 Jan 2005 07:39:41 -0500
+
nfs-utils (1:1.0.6-3) unstable; urgency=medium
* Remove obsolete debconf-related files in debian/rules, because source
--- /dev/null
+#!/bin/sh -e
+
+. /usr/share/debconf/confmodule
+
+if egrep -q 'ALL|[0-9]\.' /etc/hosts.deny
+then
+ db_input high nfs-common/tcpwrappers-statd || true
+fi
+
+db_go
--- /dev/null
+Template: nfs-common/tcpwrappers-statd
+Type: note
+_Description: statd uses tcpwrappers
+ The statd daemon uses tcpwrappers to control access. To configure it, use
+ program name "statd" in /etc/hosts.allow and /etc/hosts.deny.
--- /dev/null
+#!/bin/sh -e
+
+. /usr/share/debconf/confmodule
+
+if grep -s '^/' /etc/exports | grep -vq sync
+then
+ db_input high nfs-kernel-server/sync-default || true
+fi
+
+if fgrep -q 'rpc' /etc/hosts.allow /etc/hosts.deny
+then
+ db_input high nfs-kernel-server/tcpwrappers-mountd || true
+fi
+
+db_go
--- /dev/null
+Template: nfs-kernel-server/sync-default
+Type: note
+_Description: NFS server defaults to synchronous writes
+ To comply with standards and increase data safety, the Linux NFS server
+ now defaults to synchronous writes. Since this is a major change, it is
+ not silent: All exports should be explicitly marked as either "sync" or
+ "async". Exports not so marked will elicit warnings.
+
+Template: nfs-kernel-server/tcpwrappers-mountd
+Type: note
+_Description: in /etc/hosts.{allow,deny}, replace "rpc.mountd" with "mountd"
+ The mount daemon uses tcpwrappers to control access. To configure it, use
+ program name "mountd" in /etc/hosts.allow and /etc/hosts.deny.
+ .
+ Older versions of nfs-kernel-server included a mount daemon that called
+ itself "rpc.mountd". Therefore, you should replace all occurrences of
+ "rpc.mountd" with "mountd" in /etc/hosts.allow and /etc/hosts.deny.
signal (SIGTERM, killer);
/* WARNING: the following works on Linux and SysV, but not BSD! */
signal(SIGCHLD, SIG_IGN);
+ /*
+ * Ignore SIGPIPE to avoid statd dying when peers close their
+ * TCP connection while we're trying to reply to them.
+ */
+ signal(SIGPIPE, SIG_IGN);
/* initialize out_port */
statd_get_socket(out_port);